from django.utils.translation import gettext_lazy as _

MENUS = {
    "NAV_MENU_CORE": [
        {
            "name": _("Vouchers"),
            "url": "vouchers",
            "icon": "confirmation_number",
            "validators": [
                (
                    "aleksis.core.util.predicates.permission_validator",
                    "paweljong.view_vouchers_rule",
                )
            ],
        },
        {
            "name": _("Event management"),
            "url": "#",
            "icon": "event_note",
            "root": True,
            "validators": [
                (
                    "aleksis.core.util.predicates.permission_validator",
                    "paweljong.change_events_rule",
                )
            ],
            "submenu": [
                {
                    "name": _("Create event"),
                    "url": "create_event",
                    "icon": "event_available",
                    "validators": [
                        (
                            "aleksis.core.util.predicates.permission_validator",
                            "paweljong.create_events_rule",
                        )
                    ],
                },
                {
                    "name": _("Manage feedback aspects"),
                    "url": "feedback_aspects",
                    "icon": "rate_review",
                    "validators": [
                        (
                            "aleksis.core.util.predicates.permission_validator",
                            "paweljong.view_feedback_aspects_rule",
                        )
                    ],
                },
                {
                    "name": _("Generate participant list"),
                    "url": "generate_lists",
                    "icon": "format_list_numbered",
                    "validators": [
                        (
                            "aleksis.core.util.predicates.permission_validator",
                            "paweljong.generate_lists_rule",
                        )
                    ],
                },
                {
                    "name": _("Manage upcoming events"),
                    "url": "manage_events",
                    "icon": "edit",
                    "validators": [
                        (
                            "aleksis.core.util.predicates.permission_validator",
                            "paweljong.change_events_rule",
                        )
                    ],
                },
                {
                    "name": _("Manage registrations"),
                    "url": "registrations",
                    "icon": "how_to_reg",
                    "validators": [
                        (
                            "aleksis.core.util.predicates.permission_validator",
                            "paweljong.view_registrations_rule",
                        )
                    ],
                },
            ],
        },
    ],
}
